Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class ContactInformation

    java.lang.Object
      org.deegree.ogcbase.ContactInformation

    public class ContactInformation

extends Object

Identification of, and means of communication with a person and/or organization associated with the service/resource. based on ISO 19115.

Since:
  1.0
Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp, Markus Schneider

Constructor Summary
`ContactInformation(String contactPosition, String contactVoiceTelephone, String contactFacsimileTelephone, String contactElectronicMailAddress, ContactPersonPrimary contactPersonPrimary, ContactAddress contactAddress)` constructor initializing the class with ContactInformation Strings

Method Summary
`ContactAddress` | `getContactAddress()` returns the address where to reach to contact person
`String` | `getContactElectronicMailAddress()` returns the email address of the contact person
`String` | `getContactFacsimileTelephone()` returns the facsimile Telephone number of the contact person
`ContactPersonPrimary` | `getContactPersonPrimary()` returns a datastructure that contains the name of the contact person and the organization he works for.
`String` | `getContactPosition()` returns the positon of the contact person within its organization
`String` | `getContactVoiceTelephone()` returns the voice Telephone number of the contact person
`void` | `setContactAddress(ContactAddress contactAddress)` sets the address where to reach to contact person
`void` | `setContactElectronicMailAddress(String contactElectronicMailAddress)` sets the email address of the contact person
`void` | `setContactFacsimileTelephone(String contactFacsimileTelephone)` sets the facsimile Telephone number of the contact person
`void` | `setContactPersonPrimary(ContactPersonPrimary contactPersonPrimary)` sets a datastructure that contains the name of the contact person and the organization he works for.
`void` | `setContactPosition(String contactPosition)` sets the positon of the contact person within its organization
`void` | `setContactVoiceTelephone(String contactVoiceTelephone)` sets the voice Telephone number of the contact person

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactInformation

    public ContactInformation(String contactPosition,
                              String contactVoiceTelephone,
                              String contactFacsimileTelephone,
                              String contactElectronicMailAddress,
                              ContactPersonPrimary contactPersonPrimary,
                              ContactAddress contactAddress)

  constructor initializing the class with ContactInformation Strings

  Parameters:
    `contactPosition` -
    `contactVoiceTelephone` -
    `contactFacsimileTelephone` -
    `contactElectronicMailAddress` -
    `contactPersonPrimary` -
    `contactAddress` -

Method Detail

### getContactPersonPrimary

    public ContactPersonPrimary getContactPersonPrimary()

  returns a datastructure that contains the name of the contact person and the organization he works for.

  Returns:
    a datastructure that contains the name of the contact person and the organization he works for.

### setContactPersonPrimary

    public void setContactPersonPrimary(ContactPersonPrimary contactPersonPrimary)

  sets a datastructure that contains the name of the contact person and the organization he works for.

  Parameters:
    `contactPersonPrimary` -

### getContactPosition

    public String getContactPosition()

  returns the positon of the contact person within its organization

  Returns:
    the positon of the contact person within its organization

### setContactPosition

    public void setContactPosition(String contactPosition)

  sets the positon of the contact person within its organization

  Parameters:
    `contactPosition` -

### getContactAddress

    public ContactAddress getContactAddress()

  returns the address where to reach to contact person

  Returns:
    the address where to reach to contact person

### setContactAddress

    public void setContactAddress(ContactAddress contactAddress)

  sets the address where to reach to contact person

  Parameters:
    `contactAddress` -

### getContactVoiceTelephone

    public String getContactVoiceTelephone()

  returns the voice Telephone number of the contact person

  Returns:
    the voice Telephone number of the contact person

### setContactVoiceTelephone

    public void setContactVoiceTelephone(String contactVoiceTelephone)

  sets the voice Telephone number of the contact person

  Parameters:
    `contactVoiceTelephone` -

### getContactFacsimileTelephone

    public String getContactFacsimileTelephone()

  returns the facsimile Telephone number of the contact person

  Returns:
    the facsimile Telephone number of the contact person

### setContactFacsimileTelephone

    public void setContactFacsimileTelephone(String contactFacsimileTelephone)

  sets the facsimile Telephone number of the contact person

  Parameters:
    `contactFacsimileTelephone` -

### getContactElectronicMailAddress

    public String getContactElectronicMailAddress()

  returns the email address of the contact person

  Returns:
    the email address of the contact person

### setContactElectronicMailAddress

    public void setContactElectronicMailAddress(String contactElectronicMailAddress)

  sets the email address of the contact person

  Parameters:
    `contactElectronicMailAddress` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org